Bug 239834 - Impossible to use some DejaVu font styles
Impossible to use some DejaVu font styles
Product: Fedora
Classification: Fedora
Component: dejavu-lgc-fonts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Depends On:
  Show dependency treegraph
Reported: 2007-05-11 13:03 EDT by Stefan Orbilt
Modified: 2009-01-08 23:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-08 23:36:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stefan Orbilt 2007-05-11 13:03:17 EDT
Description of problem:

First of all, isn´t DejaVu supposed to be the standard font since Fedora Core 6?
Because when I installed Fefora 7 Test 4 it wasn´t. Unfortunately some of the
font styles of DejaVu Sans and DejaVu Serif are impossible to use in Gnome Font

Condensed Bold Oblique
Condensed Oblique
Condensed Bold
ExtraLight (DejaVu Sans)
Bold Oblique

Version-Release number of selected component (if applicable):


How reproducible:

Tried it on one machine.

Steps to Reproduce:

1. Go to System > Preferences > Look and Feel > "Font" in Gnome.
2. Try to change the font to one of those listed above.

Actual results:

DejaVu Sans Condensed is selected instead.

Expected results:

The DejaVu font style you selected should be activated.

Additional info:

Comment 1 Stefan Orbilt 2007-05-11 13:14:49 EDT
Ooh ok. It seems "dejavu-fonts" wasn´t installed by default, only
"dejavu-lgc-fonts". I installed dejavu-fonts and now all the fonts work. So the
bugs is just that the list shows fonts that aren´t installed. And also DejaVu
wasn´t set up as default for me.
Comment 2 Bug Zapper 2008-04-03 20:39:08 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Stefan Orbilt 2008-04-04 03:52:37 EDT
In order to see if this bug is still reproducible I would have to make a clean
install of Fedora 8 or Fedora 9 beta. I don´t have any plans to do that within
30 days so anyone is welcome to help out and see if they can reproduce this or not.
Comment 4 Matthias Clasen 2008-04-05 12:01:38 EDT
dejavu-lgc-fonts is dead in rawhide. Moving this bug to F8
Comment 5 Bug Zapper 2008-11-26 02:15:18 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-01-08 23:36:43 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.